function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
// 内库使用-start
import DateUtil from "./../../../../utils/DateUtil";
// 内库使用-end

/* 测试使用-start
import { DateUtil } from 'seedsui-react'
测试使用-end */

// 获取显示名称
function getDisplayValue(value) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
    maxCount = _ref.maxCount,
    precision = _ref.precision;
  // Date
  if (value instanceof Date) {
    return DateUtil.format(value, 'YYYY-MM-DD');
  }

  // Array
  if (Array.isArray(value)) {
    // Date Range
    if (value.length === 2 && value[0] instanceof Date && value[1] instanceof Date) {
      return "".concat(DateUtil.format(value[0], 'YYYY-MM-DD'), " ~ ").concat(DateUtil.format(value[1], 'YYYY-MM-DD'));
    }

    // Select
    var displayValue = value.map(function (item) {
      if (item instanceof Date) {
        return DateUtil.format(item, 'YYYY-MM-DD');
      } else if (_typeof(item) === 'object') {
        return item.name || '';
      }
      return item;
    });
    var count = value.length;
    if (maxCount && count > maxCount) {
      displayValue = displayValue.splice(0, maxCount);
      return "".concat(displayValue.join(','), "+").concat(count);
    }
    return displayValue.join(',');
  }

  // Base type
  if (typeof value !== 'string' && typeof value !== 'number') {
    return '';
  }

  // Fixed number
  if (typeof precision === 'number' && typeof value === 'number') {
    return Number(value).toFixed(precision);
  }
  return value;
}
export default getDisplayValue;